Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Contacts

Upsert Contact Identity

POST
/v1/contacts/{id}/identities

Upsert Contact Identity.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the resource.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

channel_type*"email"

Channel Type value for this resource.

type*"email_address"

Type of the resource.

value*string

Value value for this resource.

Match^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)*[a-zA-Z]{2,}))$
channel_type*"sms"

Channel Type value for this resource.

type*"phone_number"

Type of the resource.

value*|

A scalar phone number or ordered phone-number candidates with optional country-code hints

channel_type*"whatsapp"

Channel Type value for this resource.

type*"phone_number"

Type of the resource.

value*|

A scalar phone number or ordered phone-number candidates with optional country-code hints

channel_type*"facebook"

Channel Type value for this resource.

type*"user_id"

Type of the resource.

value*string

Value value for this resource.

Length1 <= length
channel_type*"instagram"

Channel Type value for this resource.

type*"user_id"

Type of the resource.

value*string

Value value for this resource.

Length1 <= length

Response Body

application/json

curl -X POST "https://api.getmateo.com/v1/contacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/identities" \  -H "Content-Type: application/json" \  -d '{    "channel_type": "email",    "type": "email_address",    "value": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598",  "channel_type": "email",  "type": "string",  "value": "string",  "scope_type": "string",  "scope_id": "string",  "health": "healthy",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}